package com.yd.dal.mapper.meta;

import com.yd.dal.entity.meta.MdIncometaxRate;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface MdIncometaxRateMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MdIncometaxRate record);

    int insertSelective(MdIncometaxRate record);

    MdIncometaxRate selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MdIncometaxRate record);

    int updateByPrimaryKey(MdIncometaxRate record);

    int updateBatch(List<MdIncometaxRate> list);

    int updateBatchSelective(List<MdIncometaxRate> list);

    int batchInsert(@Param("list") List<MdIncometaxRate> list);

    List<MdIncometaxRate> findAll();
}